package br.ufrn.imd.balance.controller;

import br.ufrn.imd.balance.domain.Client;
import br.ufrn.imd.balance.service.BalanceService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@RequiredArgsConstructor
@RestController
@RequestMapping("/banking/client/{id}")
public class BalanceController {
    private final BalanceService service;

    @GetMapping
    public Client balance(@PathVariable Integer id) {
        return service.balance(new Client(id));
    }
}
