package br.ufrn.imd.transfer.controller;

import br.ufrn.imd.transfer.domain.Account;
import br.ufrn.imd.transfer.domain.Client;
import br.ufrn.imd.transfer.service.TransferService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@RequiredArgsConstructor
@RestController
@RequestMapping("/banking/client/{id}")
public class TransferController {
    private final TransferService service;

    @GetMapping
    public Client transfer(@PathVariable Integer id, @RequestParam(name = "value") Double value,
                           @RequestParam(name = "toAccount") String toAccountNumber) {
        return service.transfer(value, new Client(id), new Account(null, toAccountNumber, null, null));
    }
}
