package br.ufrn.imd.deposit.controller;

import br.ufrn.imd.deposit.domain.Client;
import br.ufrn.imd.deposit.service.DepositService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@RequiredArgsConstructor
@RestController
@RequestMapping("/banking/client/{id}")
public class DepositController {
    private final DepositService service;

    @GetMapping
    public Client deposit(@PathVariable Integer id, @RequestParam(name = "value") Double value) {
        return service.deposit(value, new Client(id));
    }
}
